arrow-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Wes McKinney <wesmck...@gmail.com>
Subject Re: pyarrow=0.3.0 now segfaults on parquet.write_table
Date Tue, 23 May 2017 23:10:45 GMT
hi Aneesh,

I've been updating the conda packages for arrow-cpp, parquet-cpp, and
pyarrow over the last 24 hours, so I suspect you've had bad luck with
the package stack getting into an intermediate state. There was a
build dependency problem on Windows that caused the delay.

conda install pyarrow=0.4.0 is now fully up to date on
Linux/macOS/Windows, so I recommend using that ASAP as it includes
important bug fixes.

If you are depending on these packages in your product, I would
_really_ appreciate some help maintaining the packages on conda-forge.
We probably need to do some work on the pinned versions in the
meta.yaml files so that the upgrade process does not disrupt existing
production applications.

Thanks
Wes

On Tue, May 23, 2017 at 6:42 PM, Aneesh Karve <aneesh@quiltdata.io> wrote:
> Greetings.
>
> Pyarrow 0.3.0 was stable and working for our data package manager
> <https://quiltdata.com>. As of today we're seeing a segfault on
> parquet.write_table in CI (Linux and Mac). Here are our before
> <https://travis-ci.org/quiltdata/quilt/builds/234903477> and after
> <https://travis-ci.org/quiltdata/quilt/builds/235324971> CI results. Both
> use `conda install --yes -c conda-forge pyarrow=0.3` and use pyarrow in the
> same ways.
>
> Conda does not seem to be holding any other version of 0.3 that I can see
> with `conda list`.
>
> Did any second order dependencies change? It would make sense if the 0.4
> binaries were broken or missing but I'm a bit mystified as to how 0.3 broke
> :-)
>
> Thanks in advance. Looking forward to using Arrow as it evolves.
> ᐧ

Mime
View raw message